/** @typedef {import('stylelint').Rule<any, Record<string, any> = any>} Rule */
/** @type {{ readonly [name: string]: Promise<Rule> }} */
export default {
	get 'at-rule-name-case' () {
		return import(`./at-rule-name-case/index.js`).then((m) => m.default)
	},
	get 'at-rule-name-newline-after' () {
		return import(`./at-rule-name-newline-after/index.js`).then((m) => m.default)
	},
	get 'at-rule-name-space-after' () {
		return import(`./at-rule-name-space-after/index.js`).then((m) => m.default)
	},
	get 'at-rule-semicolon-newline-after' () {
		return import(`./at-rule-semicolon-newline-after/index.js`).then((m) => m.default)
	},
	get 'at-rule-semicolon-space-before' () {
		return import(`./at-rule-semicolon-space-before/index.js`).then((m) => m.default)
	},
	get 'block-closing-brace-empty-line-before' () {
		return import(`./block-closing-brace-empty-line-before/index.js`).then((m) => m.default)
	},
	get 'block-closing-brace-newline-after' () {
		return import(`./block-closing-brace-newline-after/index.js`).then((m) => m.default)
	},
	get 'block-closing-brace-newline-before' () {
		return import(`./block-closing-brace-newline-before/index.js`).then((m) => m.default)
	},
	get 'block-closing-brace-space-after' () {
		return import(`./block-closing-brace-space-after/index.js`).then((m) => m.default)
	},
	get 'block-closing-brace-space-before' () {
		return import(`./block-closing-brace-space-before/index.js`).then((m) => m.default)
	},
	get 'block-opening-brace-newline-after' () {
		return import(`./block-opening-brace-newline-after/index.js`).then((m) => m.default)
	},
	get 'block-opening-brace-newline-before' () {
		return import(`./block-opening-brace-newline-before/index.js`).then((m) => m.default)
	},
	get 'block-opening-brace-space-after' () {
		return import(`./block-opening-brace-space-after/index.js`).then((m) => m.default)
	},
	get 'block-opening-brace-space-before' () {
		return import(`./block-opening-brace-space-before/index.js`).then((m) => m.default)
	},
	get 'color-hex-case' () {
		return import(`./color-hex-case/index.js`).then((m) => m.default)
	},
	get 'declaration-bang-space-after' () {
		return import(`./declaration-bang-space-after/index.js`).then((m) => m.default)
	},
	get 'declaration-bang-space-before' () {
		return import(`./declaration-bang-space-before/index.js`).then((m) => m.default)
	},
	get 'declaration-block-semicolon-newline-after' () {
		return import(`./declaration-block-semicolon-newline-after/index.js`).then((m) => m.default)
	},
	get 'declaration-block-semicolon-newline-before' () {
		return import(`./declaration-block-semicolon-newline-before/index.js`).then((m) => m.default)
	},
	get 'declaration-block-semicolon-space-after' () {
		return import(`./declaration-block-semicolon-space-after/index.js`).then((m) => m.default)
	},
	get 'declaration-block-semicolon-space-before' () {
		return import(`./declaration-block-semicolon-space-before/index.js`).then((m) => m.default)
	},
	get 'declaration-block-trailing-semicolon' () {
		return import(`./declaration-block-trailing-semicolon/index.js`).then((m) => m.default)
	},
	get 'declaration-colon-newline-after' () {
		return import(`./declaration-colon-newline-after/index.js`).then((m) => m.default)
	},
	get 'declaration-colon-space-after' () {
		return import(`./declaration-colon-space-after/index.js`).then((m) => m.default)
	},
	get 'declaration-colon-space-before' () {
		return import(`./declaration-colon-space-before/index.js`).then((m) => m.default)
	},
	get 'function-comma-newline-after' () {
		return import(`./function-comma-newline-after/index.js`).then((m) => m.default)
	},
	get 'function-comma-newline-before' () {
		return import(`./function-comma-newline-before/index.js`).then((m) => m.default)
	},
	get 'function-comma-space-after' () {
		return import(`./function-comma-space-after/index.js`).then((m) => m.default)
	},
	get 'function-comma-space-before' () {
		return import(`./function-comma-space-before/index.js`).then((m) => m.default)
	},
	get 'function-max-empty-lines' () {
		return import(`./function-max-empty-lines/index.js`).then((m) => m.default)
	},
	get 'function-parentheses-newline-inside' () {
		return import(`./function-parentheses-newline-inside/index.js`).then((m) => m.default)
	},
	get 'function-parentheses-space-inside' () {
		return import(`./function-parentheses-space-inside/index.js`).then((m) => m.default)
	},
	get 'function-whitespace-after' () {
		return import(`./function-whitespace-after/index.js`).then((m) => m.default)
	},
	get 'indentation' () {
		return import(`./indentation/index.js`).then((m) => m.default)
	},
	get 'linebreaks' () {
		return import(`./linebreaks/index.js`).then((m) => m.default)
	},
	get 'max-empty-lines' () {
		return import(`./max-empty-lines/index.js`).then((m) => m.default)
	},
	get 'max-line-length' () {
		return import(`./max-line-length/index.js`).then((m) => m.default)
	},
	get 'media-feature-colon-space-after' () {
		return import(`./media-feature-colon-space-after/index.js`).then((m) => m.default)
	},
	get 'media-feature-colon-space-before' () {
		return import(`./media-feature-colon-space-before/index.js`).then((m) => m.default)
	},
	get 'media-feature-name-case' () {
		return import(`./media-feature-name-case/index.js`).then((m) => m.default)
	},
	get 'media-feature-parentheses-space-inside' () {
		return import(`./media-feature-parentheses-space-inside/index.js`).then((m) => m.default)
	},
	get 'media-feature-range-operator-space-after' () {
		return import(`./media-feature-range-operator-space-after/index.js`).then((m) => m.default)
	},
	get 'media-feature-range-operator-space-before' () {
		return import(`./media-feature-range-operator-space-before/index.js`).then((m) => m.default)
	},
	get 'media-query-list-comma-newline-after' () {
		return import(`./media-query-list-comma-newline-after/index.js`).then((m) => m.default)
	},
	get 'media-query-list-comma-newline-before' () {
		return import(`./media-query-list-comma-newline-before/index.js`).then((m) => m.default)
	},
	get 'media-query-list-comma-space-after' () {
		return import(`./media-query-list-comma-space-after/index.js`).then((m) => m.default)
	},
	get 'media-query-list-comma-space-before' () {
		return import(`./media-query-list-comma-space-before/index.js`).then((m) => m.default)
	},
	get 'named-grid-areas-alignment' () {
		return import(`./named-grid-areas-alignment/index.js`).then((m) => m.default)
	},
	get 'no-empty-first-line' () {
		return import(`./no-empty-first-line/index.js`).then((m) => m.default)
	},
	get 'no-eol-whitespace' () {
		return import(`./no-eol-whitespace/index.js`).then((m) => m.default)
	},
	get 'no-extra-semicolons' () {
		return import(`./no-extra-semicolons/index.js`).then((m) => m.default)
	},
	get 'no-missing-end-of-source-newline' () {
		return import(`./no-missing-end-of-source-newline/index.js`).then((m) => m.default)
	},
	get 'number-leading-zero' () {
		return import(`./number-leading-zero/index.js`).then((m) => m.default)
	},
	get 'number-no-trailing-zeros' () {
		return import(`./number-no-trailing-zeros/index.js`).then((m) => m.default)
	},
	get 'property-case' () {
		return import(`./property-case/index.js`).then((m) => m.default)
	},
	get 'selector-attribute-brackets-space-inside' () {
		return import(`./selector-attribute-brackets-space-inside/index.js`).then((m) => m.default)
	},
	get 'selector-attribute-operator-space-after' () {
		return import(`./selector-attribute-operator-space-after/index.js`).then((m) => m.default)
	},
	get 'selector-attribute-operator-space-before' () {
		return import(`./selector-attribute-operator-space-before/index.js`).then((m) => m.default)
	},
	get 'selector-combinator-space-after' () {
		return import(`./selector-combinator-space-after/index.js`).then((m) => m.default)
	},
	get 'selector-combinator-space-before' () {
		return import(`./selector-combinator-space-before/index.js`).then((m) => m.default)
	},
	get 'selector-descendant-combinator-no-non-space' () {
		return import(`./selector-descendant-combinator-no-non-space/index.js`).then((m) => m.default)
	},
	get 'selector-list-comma-newline-after' () {
		return import(`./selector-list-comma-newline-after/index.js`).then((m) => m.default)
	},
	get 'selector-list-comma-newline-before' () {
		return import(`./selector-list-comma-newline-before/index.js`).then((m) => m.default)
	},
	get 'selector-list-comma-space-after' () {
		return import(`./selector-list-comma-space-after/index.js`).then((m) => m.default)
	},
	get 'selector-list-comma-space-before' () {
		return import(`./selector-list-comma-space-before/index.js`).then((m) => m.default)
	},
	get 'selector-max-empty-lines' () {
		return import(`./selector-max-empty-lines/index.js`).then((m) => m.default)
	},
	get 'selector-pseudo-class-case' () {
		return import(`./selector-pseudo-class-case/index.js`).then((m) => m.default)
	},
	get 'selector-pseudo-class-parentheses-space-inside' () {
		return import(`./selector-pseudo-class-parentheses-space-inside/index.js`).then((m) => m.default)
	},
	get 'selector-pseudo-element-case' () {
		return import(`./selector-pseudo-element-case/index.js`).then((m) => m.default)
	},
	get 'string-quotes' () {
		return import(`./string-quotes/index.js`).then((m) => m.default)
	},
	get 'unicode-bom' () {
		return import(`./unicode-bom/index.js`).then((m) => m.default)
	},
	get 'unit-case' () {
		return import(`./unit-case/index.js`).then((m) => m.default)
	},
	get 'value-list-comma-newline-after' () {
		return import(`./value-list-comma-newline-after/index.js`).then((m) => m.default)
	},
	get 'value-list-comma-newline-before' () {
		return import(`./value-list-comma-newline-before/index.js`).then((m) => m.default)
	},
	get 'value-list-comma-space-after' () {
		return import(`./value-list-comma-space-after/index.js`).then((m) => m.default)
	},
	get 'value-list-comma-space-before' () {
		return import(`./value-list-comma-space-before/index.js`).then((m) => m.default)
	},
	get 'value-list-max-empty-lines' () {
		return import(`./value-list-max-empty-lines/index.js`).then((m) => m.default)
	},
}
